UIC and UCC

MissBig

Member
Both assets are up to date then Imported UIC First as it said but when I Import UCC I get an error about Event Handler. UIC doesn't work with UCC anymore ever since I updated. On the asset store, it says UIC works with 2019.4.0 or higher. When I imported UIC into a completely clean project of 2021.3.4f1 LTS the package manager suddenly changed to 2022.1.0 so I decided to try that version instead then the package manager said in that version 2019.4.0 and all I got in that version is just errors. So what is going on? I have used these assets together before.
 

Sangemdoko

Moderator
Staff member
Unity made a change in 2021.1 which required us to make a custom package for UIS. So now UIS has a 2019.4+ package and a 2021.1+ package.

If you updated from 2019.4 to 2021.1+ you will get errors and will be required to redownload and reimport UIS.

1) Remove the Opsive folder to avoid issues with old scripts not getting removed.
2) You must download & Import UCC first, and make sure to install it.
3) Then download & Import UIS
4) And finally download & import the integration.

If done in that order it should work without issues. If you still get errors do let us know and we will do our best to fix it asap.
 

MissBig

Member
Unity made a change in 2021.1 which required us to make a custom package for UIS. So now UIS has a 2019.4+ package and a 2021.1+ package.

If you updated from 2019.4 to 2021.1+ you will get errors and will be required to redownload and reimport UIS.

1) Remove the Opsive folder to avoid issues with old scripts not getting removed.
2) You must download & Import UCC first, and make sure to install it.
3) Then download & Import UIS
4) And finally download & import the integration.

If done in that order it should work without issues. If you still get errors do let us know and we will do our best to fix it asap.
I wasn't upgrading i imported UIS first. That's why I got errors. I must remember to import the character controller first. Thank you.
 
Top